package ru.javakira.simbirshare.account;

import org.springframework.security.core.GrantedAuthority;

public enum AccountRole implements GrantedAuthority {
    user("ROLE_USER"), admin("ROLE_ADMIN");

    final String authority;

    AccountRole(String authority) {
        this.authority = authority;
    }

    @Override
    public String getAuthority() {
        return authority;
    }
}
