package ru.javakira.simbirshare.account;

public interface AccountService {
    Account account(long id);

    AccountDto accountDto(long userId);

    AuthResponse signUp(RegisterRequest request);

    AuthResponse signIn(AuthRequest request);

    void update(long userId, UpdateRequest updateRequest);

    void logout(String jwt);
}
