package ru.javakira.simbirshare.file;

import java.util.List;

public interface FileService {
    File file(long id);

    List<File> getByDirectory(long dirId);

    FileDto createFile(NewFileRequest request);

    FileDto putFile(NewFileRequest putFileRequest, long id);

    void delete(long id);
}
