package ru.javakira.simbirshare.file;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Optional;

@Data
@AllArgsConstructor
public class NewFileRequest {
    private String name, password;
    private long directoryId;
    private boolean shared;

    public Optional<String> getPassword() {
        return Optional.ofNullable(password);
    }
}
