package ru.javakira.simbirshare.jwt;

import jakarta.servlet.http.HttpServletRequest;
import org.springframework.security.core.userdetails.UserDetails;
import ru.javakira.simbirshare.account.Account;

public interface JwtService {
    String extractUsername(String jwt);

    String generateToken(Account account);

    String token(HttpServletRequest request);

    long extractId(HttpServletRequest request);

    boolean isTokenValid(String token, UserDetails userDetails);

    void logout(String token);
}
