package ru.javakira.simbirshare.directory;

import java.util.List;

public interface DirectoryService {
    Directory directory(long id);

    DirectoryDto getRoot(long userId);

    List<Directory> getDirectories(Directory directory);

    DirectoryDto directoryDto(long userId, long id);

    List<DirectoryDto> getByDirectory(long userId, long id);

    DirectoryDto createDirectory(long userId, CreateDirectoryRequest createDirectoryRequest);

    DirectoryDto putDirectory(long id, PutDirectoryRequest putDirectoryRequest, long userId);

    void delete(long id, long userId);

    void delete(long id);

    DirectoryDto directoryDto(long id);

    List<DirectoryDto> getByDirectory(long dirId);
}
