package ru.javakira.simbirshare.jwt;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Data
@Component
@PropertySource("classpath:jwt.properties")
@ConfigurationProperties
public class JwtProperties {
    private String secret;
    private long expiration;
}
